Loading...
Searching...
No Matches
OgreSceneManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgrePlane.h"`
`#include "OgreQuaternion.h"`
`#include "OgreColourValue.h"`
`#include "OgreCommon.h"`
`#include "OgreSceneQuery.h"`
`#include "OgreAutoParamDataSource.h"`
`#include "OgreAnimation.h"`
`#include "OgreRenderQueue.h"`
`#include "OgreRenderQueueSortingGrouping.h"`
`#include "OgreResourceGroupManager.h"`
`#include "OgreInstanceManager.h"`
`#include "OgreManualObject.h"`
`#include "OgreRenderSystem.h"`
`#include "OgreLodListener.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreNameGenerator.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::DebugDrawer
| Interface for visualising debugging the SceneManager state. More...
class | Ogre::DefaultAxisAlignedBoxSceneQuery
| Default implementation of AxisAlignedBoxSceneQuery. More...
class | Ogre::DefaultIntersectionSceneQuery
| Default implementation of IntersectionSceneQuery. More...
class | Ogre::DefaultPlaneBoundedVolumeListSceneQuery
| Default implementation of PlaneBoundedVolumeListSceneQuery. More...
class | Ogre::DefaultRaySceneQuery
| Default implementation of RaySceneQuery. More...
class | Ogre::DefaultSphereSceneQuery
| Default implementation of SphereSceneQuery. More...
class | Ogre::SceneManager
| Manages the organisation and rendering of a 'scene': a collection of objects and potentially world geometry. More...
class | Ogre::SceneManager::Listener
| Class that allows listening in on the various stages of SceneManager processing, so that custom behaviour can be implemented from outside. More...
struct | Ogre::SceneManager::RenderContext
class | Ogre::SceneManager::SceneMgrQueuedRenderableVisitor
| Inner helper class to implement the visitor pattern for rendering objects in a queue. More...
struct | Ogre::SceneManager::SkyBoxGenParameters
struct | Ogre::SceneManager::SkyDomeGenParameters
struct | Ogre::SceneManager::SkyPlaneGenParameters
class | Ogre::SceneManagerFactory
| Class which will create instances of a given SceneManager. More...
struct | Ogre::ShadowTextureConfig
| Structure containing the configuration for one shadow texture. More...
struct | Ogre::ShadowTextureListener
struct | Ogre::ViewPoint
| Structure for holding a position & orientation pair. More...
struct | Ogre::VisibleObjectsBoundsInfo
| Structure collecting together information about the visible objects that have been discovered in a scene. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef ConstVectorIterator< ShadowTextureConfigList > | Ogre::ConstShadowTextureConfigIterator
typedef std::vector< ShadowTextureConfig > | Ogre::ShadowTextureConfigList
typedef std::vector< TexturePtr > | Ogre::ShadowTextureList

## Functions

_OgreExport bool | Ogre::operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | Ogre::operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)

## Variables

_OgreExport const String | Ogre::SMT_DEFAULT
| Default scene manager type name.